import java.rmi.*;

class KundeClient {

  public static void main(String[] args) {

    try {

      System.out.println("1. KundeClient gestartet...");
      
      System.setProperty("java.security.policy","client.policy");
      System.setSecurityManager(new SecurityManager());
      
      System.out.println("2. SecurityManager installiert...");
      System.out.println("3. Suche <rmi://localhost/Kunde1> ...");

      Kunde k1 = (Kunde) Naming.lookup("rmi://localhost/" + "Kunde1");

      System.out.println("   KundeServer gefunden, suche Remote-Objekt...");
      System.out.println("4. Rufe Remote-Methode <k1.getName> auf...");
      
      String n = k1.getName();
      
      System.out.println("5. Server antwortet. Kunde heisst: <" + n + ">");
      System.out.println("6. Rufe Remote-Methode <k1.getAdress> auf...");

      Adresse a1 = k1.getAdress();

      System.out.println("7. Rufe Remote-Methode <a1.getOrt> auf...");
      
      String adr = a1.getOrt();
      
      System.out.println("8. Server antwortet: Adresse ist <"+adr+">");
      System.in.read();
      In.stop();

    } catch (Exception e) {
      System.out.println(e);
    }
  }
}