import java.rmi.*;         // fuer RemoteException
import java.rmi.server.*;  // fuer UnicastRemoteObject

class KundeImpl
                extends UnicastRemoteObject
                implements Kunde
                 {

   String name;
   Adresse adr;

   public KundeImpl (String n) throws RemoteException {

    name = n;
    adr = new AdresseImpl();
    System.out.println("Kunde erzeugt...");
   }

   public String getName() throws RemoteException {
    
    System.out.println(".getName() aufgerufen...");
    String adresse = adr.getOrt();
    return name+", " + adresse;
   }
   
   public Adresse getAdress() throws RemoteException {
   
    System.out.println(".getAdress() aufgerufen...");
    return this.adr;
   }
}